Schedule A New Walkthrough Between A Listing And An Individual
POST
https://api.getcovent.com/api/v1/walkthroughsSchedule a new walkthrough between a listing and an individual.
How to Call
Use one of the examples below to call this endpoint from your own integration.
curl -X POST "https://api.getcovent.com/api/v1/walkthroughs" \
-H "Authorization: Bearer <API_KEY>" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"listing_id": "lst_123",
"individual_id": "ind_123",
"scheduled_at": "2026-04-21T17:00:00Z",
"attendees": [
{
"name": "Jordan Lee",
"role": "buyer"
}
],
"notes": "Meet at front gate."
}'Request
Review headers, parameters, and body fields before calling this endpoint.
AuthorizationstringRequired
Bearer token for the proposed external API contract.
Example: Bearer <API_KEY>AcceptstringRequired
Response format header.
Example: application/jsonContent-TypestringRequired
JSON request body header.
Example: application/jsonlisting_idstringRequired
listing_id request field.
Example: lst_123individual_idstringRequired
individual_id request field.
Example: ind_123scheduled_atstringRequired
scheduled_at request field.
Example: 2026-04-21T17:00:00ZattendeesarrayRequired
attendees request field.
Example: [{"name":"Jordan Lee","role":"buyer"}]notesstringRequired
notes request field.
Example: Meet at front gate.Response
200application/jsonidstringRequired
id response field.
Example: wt_123listing_idstringRequired
listing_id response field.
Example: lst_123individual_idstringRequired
individual_id response field.
Example: ind_123scheduled_atstringRequired
scheduled_at response field.
Example: 2026-04-21T17:00:00ZattendeesarrayRequired
attendees response field.
Example: [{"name":"Jordan Lee","role":"buyer"}]statusstringRequired
status response field.
Example: scheduledcreated_atstringRequired
created_at response field.
Example: 2026-04-17T20:00:00Zupdated_atstringRequired
updated_at response field.
Example: 2026-04-17T20:00:00ZResponse Example
{
"id": "wt_123",
"listing_id": "lst_123",
"individual_id": "ind_123",
"scheduled_at": "2026-04-21T17:00:00Z",
"attendees": [
{
"name": "Jordan Lee",
"role": "buyer"
}
],
"status": "scheduled",
"created_at": "2026-04-17T20:00:00Z",
"updated_at": "2026-04-17T20:00:00Z"
}